package org.dromara.payment.task.service;

import org.dromara.payment.task.domain.MerTask;
import org.dromara.payment.task.domain.MerTaskDetail;
import org.dromara.payment.task.domain.vo.MerTaskVo;
import org.dromara.payment.task.domain.bo.MerTaskBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 任务Service接口
 *
 * @author LionLi
 * @date 2024-04-08
 */
public interface IMerTaskService {

    /**
     * 查询任务
     */
    MerTaskDetail queryById(Long id, PageQuery pageQuery);

    /**
     * 查询任务列表
     */
    TableDataInfo<MerTaskVo> queryPageList(MerTaskBo bo, PageQuery pageQuery);

    /**
     * @description 项目审核列表
     * @author wuchuang
     * @param
     * @return
     * @time 2024/5/17 9:41
     */
    TableDataInfo<MerTaskVo> queryCheckList(MerTaskBo bo, PageQuery pageQuery);


    /**
     * 新增任务
     */
    Boolean insertByBo(MerTaskBo bo);

    /**
     * 修改任务
     */
    Boolean updateByBo(MerTaskBo bo);

    /**
     * 校验并批量删除任务信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);


    Boolean updateStateByBo(MerTaskBo bo);

    Boolean updateInfoByBo(MerTaskBo bo);

    Boolean checkInfoByBo(MerTaskBo bo);

    Boolean rejectCommitByBo(MerTaskBo bo);

    List<MerTaskVo> queryList(MerTaskBo bo);
}
